import { __decorate } from 'tslib';
import { ɵɵdefineInjectable, Injectable, Input, ViewChild, Component, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FullCalendarModule } from '@fullcalendar/angular';
import timeGridPlugin from '@fullcalendar/timegrid';
import dayGridPlugin from '@fullcalendar/daygrid';
import interactionPlugin from '@fullcalendar/interaction';
import { BrowserModule } from '@angular/platform-browser';

let EqpCalendarService = class EqpCalendarService {
    constructor() {
    }
};
EqpCalendarService.ɵprov = ɵɵdefineInjectable({ factory: function EqpCalendarService_Factory() { return new EqpCalendarService(); }, token: EqpCalendarService, providedIn: "root" });
EqpCalendarService = __decorate([
    Injectable({
        providedIn: 'root'
    })
], EqpCalendarService);

let EqpCalendarComponent = class EqpCalendarComponent {
    constructor() {
        this.customStyle = { 'text-transform': 'capitalize' };
        this.calendarOptions = {};
    }
    ngOnInit() {
    }
    ngAfterViewInit() {
        if (this.calendarComponent)
            this.calendarApi = this.calendarComponent.getApi();
        this.configureCalendar();
        setTimeout(() => {
            this.calendarApi.updateSize();
        }, 190);
    }
    configureCalendar() {
        this.calendarOptions = {
            initialView: 'dayGridMonth',
            firstDay: 1,
            // contentHeight: 'auto',
            locale: 'it-IT',
            customButtons: {
                today: {
                    text: "Oggi",
                    click: (event) => {
                        this.calendarApi.today();
                        // this.getAppointments();
                    }
                },
                prev: {
                    click: (event) => {
                        this.calendarApi.prev();
                        // this.getAppointments();
                    }
                },
                next: {
                    click: (event) => {
                        this.calendarApi.next();
                        // this.getAppointments();
                    }
                },
            },
            headerToolbar: {
                center: 'dayGridMonth,timeGridWeek,timeGridDay',
            },
            buttonText: {
                month: "Mese",
                week: "Settimana",
                day: "Giorno"
            },
            allDayText: 'Tutto il giorno',
        };
    }
};
__decorate([
    Input("CustomStyle")
], EqpCalendarComponent.prototype, "customStyle", void 0);
__decorate([
    ViewChild('calendar')
], EqpCalendarComponent.prototype, "calendarComponent", void 0);
EqpCalendarComponent = __decorate([
    Component({
        selector: 'eqp-calendar',
        template: "<full-calendar [options]=\"calendarOptions\" #calendar [ngStyle]=\"customStyle\"></full-calendar>",
        styles: [""]
    })
], EqpCalendarComponent);

FullCalendarModule.registerPlugins([
    dayGridPlugin,
    timeGridPlugin,
    interactionPlugin
]);
let EqpCalendarModule = class EqpCalendarModule {
};
EqpCalendarModule = __decorate([
    NgModule({
        declarations: [EqpCalendarComponent],
        imports: [
            CommonModule,
            BrowserModule,
            FormsModule,
            ReactiveFormsModule,
            FullCalendarModule
        ],
        exports: [EqpCalendarComponent]
    })
], EqpCalendarModule);

/*
 * Public API Surface of eqp-calendar
 */

/**
 * Generated bundle index. Do not edit.
 */

export { EqpCalendarComponent, EqpCalendarModule, EqpCalendarService };
//# sourceMappingURL=eqproject-eqp-calendar.js.map
