import { __decorate } from 'tslib';
import { ɵɵdefineInjectable, Injectable, Input, ViewChild, Component, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FullCalendarModule } from '@fullcalendar/angular';
import timeGridPlugin from '@fullcalendar/timegrid';
import dayGridPlugin from '@fullcalendar/daygrid';
import interactionPlugin from '@fullcalendar/interaction';
import { BrowserModule } from '@angular/platform-browser';

var EqpCalendarService = /** @class */ (function () {
    function EqpCalendarService() {
    }
    EqpCalendarService.ɵprov = ɵɵdefineInjectable({ factory: function EqpCalendarService_Factory() { return new EqpCalendarService(); }, token: EqpCalendarService, providedIn: "root" });
    EqpCalendarService = __decorate([
        Injectable({
            providedIn: 'root'
        })
    ], EqpCalendarService);
    return EqpCalendarService;
}());

var EqpCalendarComponent = /** @class */ (function () {
    function EqpCalendarComponent() {
        this.customStyle = { 'text-transform': 'capitalize' };
        this.calendarOptions = {};
    }
    EqpCalendarComponent.prototype.ngOnInit = function () {
    };
    EqpCalendarComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        if (this.calendarComponent)
            this.calendarApi = this.calendarComponent.getApi();
        this.configureCalendar();
        setTimeout(function () {
            _this.calendarApi.updateSize();
        }, 190);
    };
    EqpCalendarComponent.prototype.configureCalendar = function () {
        var _this = this;
        this.calendarOptions = {
            initialView: 'dayGridMonth',
            firstDay: 1,
            // contentHeight: 'auto',
            locale: 'it-IT',
            customButtons: {
                today: {
                    text: "Oggi",
                    click: function (event) {
                        _this.calendarApi.today();
                        // this.getAppointments();
                    }
                },
                prev: {
                    click: function (event) {
                        _this.calendarApi.prev();
                        // this.getAppointments();
                    }
                },
                next: {
                    click: function (event) {
                        _this.calendarApi.next();
                        // this.getAppointments();
                    }
                },
            },
            headerToolbar: {
                center: 'dayGridMonth,timeGridWeek,timeGridDay',
            },
            buttonText: {
                month: "Mese",
                week: "Settimana",
                day: "Giorno"
            },
            allDayText: 'Tutto il giorno',
        };
    };
    __decorate([
        Input("CustomStyle")
    ], EqpCalendarComponent.prototype, "customStyle", void 0);
    __decorate([
        ViewChild('calendar')
    ], EqpCalendarComponent.prototype, "calendarComponent", void 0);
    EqpCalendarComponent = __decorate([
        Component({
            selector: 'eqp-calendar',
            template: "<full-calendar [options]=\"calendarOptions\" #calendar [ngStyle]=\"customStyle\"></full-calendar>",
            styles: [""]
        })
    ], EqpCalendarComponent);
    return EqpCalendarComponent;
}());

FullCalendarModule.registerPlugins([
    dayGridPlugin,
    timeGridPlugin,
    interactionPlugin
]);
var EqpCalendarModule = /** @class */ (function () {
    function EqpCalendarModule() {
    }
    EqpCalendarModule = __decorate([
        NgModule({
            declarations: [EqpCalendarComponent],
            imports: [
                CommonModule,
                BrowserModule,
                FormsModule,
                ReactiveFormsModule,
                FullCalendarModule
            ],
            exports: [EqpCalendarComponent]
        })
    ], EqpCalendarModule);
    return EqpCalendarModule;
}());

/*
 * Public API Surface of eqp-calendar
 */

/**
 * Generated bundle index. Do not edit.
 */

export { EqpCalendarComponent, EqpCalendarModule, EqpCalendarService };
//# sourceMappingURL=eqproject-eqp-calendar.js.map
